package com.tofly.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.custom.entity.dto.ScadaReportDto;
import com.tofly.custom.entity.dto.WisdomDisplayDto;
import com.tofly.custom.entity.vo.*;
import com.tofly.scada.entity.DeviceArchiveManage;

import java.util.List;

public interface CustomDisplayService {

    List<WaterStationVo> viewStationDeviceIndex(WisdomDisplayDto wis,String codesJin,String codesChu);

    List<WaterStationVo> viewStationIndex(WisdomDisplayDto wis,String codesJin,String codesChu);

    List<DeviceArchiveManage> viewDeviceIndex(WisdomDisplayDto wis);

    List<WaterSourceScadaVo> getWaterSourceScada(String startDate, String endDate, String indexTypes);

    IndexValCensusVo indexValCensus();

    List<ScadaIndexVo> getScadaIndexData(WisdomDisplayDto wis);

    List<UserTotalVo> getUserTotalMonth(String startDate, String endDate);

    List<DeviceByTypeVo> getDeviceByType(String deviceName);

    Page<ScadaIndexVo> getHistoryPageData(Page page, WisdomDisplayDto dto);

    /**
     * 供水报表
     * @param dto 是否是夜间最小流量
     * @return
     */
    List<ScadaIndexReportVo> getScadaCommReport(String codeChu,ScadaReportDto dto);


    Object getIndexListByType(String waterType, String indexType);

    void synStatisticsScada(String type, String startTime, String endTime);
}
